# StateOptions.Concurrency (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain

## Enum StateOptions.Concurrency

- java.lang.Object
- - java.lang.Enum<StateOptions.Concurrency>
  - - io.dapr.client.domain.StateOptions.Concurrency

All Implemented Interfaces:
  `Serializable`, `Comparable<StateOptions.Concurrency>`

Enclosing class:
  StateOptions

    public static enum StateOptions.Concurrency
    extends Enum<StateOptions.Concurrency>

Options for Concurrency.

### Enum Constant Summary

Enum Constants
`FIRST_WRITE`
`LAST_WRITE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static StateOptions.Concurrency` `fromValue​(String value)`
`String` `getValue()`
`static StateOptions.Concurrency` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static StateOptions.Concurrency[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FIRST_WRITE

    public static final StateOptions.Concurrency FIRST_WRITE

#### LAST_WRITE

    public static final StateOptions.Concurrency LAST_WRITE

### Method Detail

#### values

    public static StateOptions.Concurrency[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StateOptions.Concurrency c : StateOptions.Concurrency.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StateOptions.Concurrency valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public String getValue()

#### fromValue

    public static StateOptions.Concurrency fromValue​(String value)